/// class PD.Manage.ModuleZoneTabstrip
// using PD.Web.UI.Controls.Control

PD.Manage.ModuleZoneTabstrip = PD.Web.UI.Controls.Control.extend({

    //===================================
    // FIELDS
    //===================================

    _tabstrip: null,

    //===================================
    // EVENT HANDLERS
    //===================================

    onInit: function (e) {
        this._tabstrip = new PD.Manage.ModuleTabStrip();
        this.get_children().add(this._tabstrip);
        PD.context.get_global().get_events().subscribe("Area:Resized", PD.BCL.Util.debounce($.proxy(this.onResize, this), 100));
    },

    template: function (e) {
        return "<div class='-pd-manage-module-tabstrip'></div>";
    },

    onResize: function () {
        this._tabstrip.refresh();
    }

});